# Uses of Class
org.gitana.platform.client.transfer.CopyJob

Packages that use CopyJob
Package
Description
org.gitana.platform.client.node
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.util

## Uses of CopyJob in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return CopyJob
Modifier and Type
Method
Description
`CopyJob`
BaseNodeImpl.`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
`CopyJob`
BaseNodeImpl.`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`

## Uses of CopyJob in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return CopyJob
Modifier and Type
Method
Description
`CopyJob`
AbstractPlatformDataStoreImpl.`copy(TypedID targetContainer)`
`CopyJob`
AbstractPlatformDataStoreImpl.`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
`CopyJob`
AbstractPlatformDocumentImpl.`copy(TypedID targetContainer)`
`CopyJob`
AbstractPlatformDocumentImpl.`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
`CopyJob`
AbstractPlatformDataStoreImpl.`copyAsync(TypedID targetContainer)`
`CopyJob`
AbstractPlatformDataStoreImpl.`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
`CopyJob`
AbstractPlatformDocumentImpl.`copyAsync(TypedID targetContainer)`
`CopyJob`
AbstractPlatformDocumentImpl.`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`

## Uses of CopyJob in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return CopyJob
Modifier and Type
Method
Description
`CopyJob`
Copyable.`copy(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
Copyable.`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.
`CopyJob`
Copyable.`copyAsync(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
Copyable.`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.

## Uses of CopyJob in org.gitana.platform.client.util

Methods in org.gitana.platform.client.util that return CopyJob
Modifier and Type
Method
Description
`static CopyJob`
DriverUtil.`copy(Cluster cluster, Remote remote, TypedID source, TypedID target, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Generic helper method to copy the source object into the target container.